#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data()
{
    Input in;
    size_t number_count;
    cerr << "Enter number of count";
    cin >> number_count;
    in.numbers.resize(number_count);

    vector<double> numbers(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
        cerr << "Enter number ";
        cin >> in.numbers[i];
    }
    cerr << "Enter bin number ";
    cin >> in.bin_count;
    return in;
}

int main()
{
    size_t max_count;
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
}
